###############################################
#
# Etude du dossier titanic
#
###############################################

#
#  voir http://www.info.univ-angers.fr/pub/gh/Datasets/titanic.htm
#  pour la description et la rcupration des donnes


 # affichage d'un titre

 cat("\n Analyse du dossier TITANIC \n\n")
 cat("    -- ; ",date(),"\n")

 # chargement des fonctions gh

 source("statgh.r")

 # lecture du fichier Dbase

 tit <- read.dbf("titanic.dbf")

 # dfinition de colonnes spares

 clas  <- tit$dbf[2]
 cage  <- tit$dbf[3]
 sexe  <- tit$dbf[4]
 surv  <- tit$dbf[5]

 # dfinition de sous-colonnes

 femmes <- sexe[ sexe==0 ]
 hommes <- sexe[ sexe==1 ]

 jeunes  <- cage[ cage==0 ]
 adultes <- cage[ cage==1 ]

 equipage <- clas[ clas==0 ]

 morts      <- surv[ surv==0 ]
 survivants <- surv[ surv==1 ]

 # liste des indice pour QL

 titaQL <- 2:5

 # noms des modalits

 titaNomMod    <- vector(length=length(titaQL))
 titaNomMod[1] <- paste(paste(c("quipage","1re classe","2me catgorie","3me catgorie"),"!"),collapse="")
 titaNomMod[2] <- paste(paste(c("jeune","aulte"),"!"),collapse="")
 titaNomMod[3] <- paste(paste(c("femmes","hommes"),"!"),collapse="")
 titaNomMod[4] <- paste(paste(c("morts","survivants"),"!"),collapse="")

 # prparation de la matrice des modalits pour tris  plat

 titaModQL <- matrix(nrow=length(titaQL),ncol=2)
 titaModQL[1,1] <- c("Classe de cabine")
 titaModQL[2,1] <- c("Classe d'age")
 titaModQL[3,1] <- c("Sexe des personnes")
 titaModQL[4,1] <- c("Etat aprs le naufrage")
 titaModQL[1,2] <- paste(paste(c("quipage","1re classe","2me catgorie","3me catgorie"),"!"),collapse="")
 titaModQL[2,2] <- paste(paste(c("jeune","aulte"),"!"),collapse="")
 titaModQL[3,2] <- paste(paste(c("femmes","hommes"),"!"),collapse="")
 titaModQL[4,2] <- paste(paste(c("morts","survivants"),"!"),collapse="")

 # prparation de la matrice des modalits pour rcapitulatif

 titaModQLc <- titaModQL
 titaModQLc[1,1] <- c("CCABINE")
 titaModQLc[2,1] <- c("CAGE")
 titaModQLc[3,1] <- c("SEXE")
 titaModQLc[4,1] <- c("ETAT")

 # analyse rcapitulative des QL

 recapQL(tit$dbf,titaModQLc,titaQL)

 # dtail de l'analyse des QL

 allQL(tit$dbf,titaModQL,titaQL)   # tris  plat
 anaTCR(tit$dbf,titaModQL,titaQL)  # tris croiss

 # quelques comptages pour les comparaisons
 # de pourcentages

 nbhom <- sum( sexe==1 )
 nbfam <- sum( sexe==0 )

 nbhomsurv  <- sum( (sexe==1) & (surv==1) )
 nbfamsurv  <- sum( (sexe==0) & (surv==1) )

 # comparaison de pourcentages

 compPourc(nbhomsurv,nbhom,nbfamsurv,nbfam)

